cupsd(8)

NAME
cupsd - Cups-Autragsplaner

SYNOPSIS
cupsd [ -c cupsd.conf ] [ -f ] [ -F ] [ -h ] [ -l ] [ -s cups-files.conf ] [ -t ]

BESCHREIBUNG
cupsd ist der Auftragsplaner (Scheduler) für das Common UNIX Printing System. Es implementiert ein Drucksystem, das auf dem Internet Printing Protocol Version 2.1 basiert und die meisten der Anforderungen von »IPP Everywhere« erfüllt. Falls auf der Befehlszeile keine Optionen angegeben werden, wird stattdessen die Standard-Konfigurationsdatei /etc/cups/cupsd.conf verwandt.

OPTIONEN

-c cupsd.conf
    Verwendet die benannte cupsd.conf-Konfigurationsdatei.

-f  Führt cupsd im Vordergrund aus; standardmäßig wird er im Hintergrund als »Daemon« ausgeführt.

-F  Führt cupsd im Vordergrund aus, aber kopple den Prozess von dem steuernden Terminal und dem aktuellen Verzeichnis ab. Dies ist nützlich, um cupsd von init(8) aus auszuführen.

-h  Zeigt die Programm-Verwendung.

-l  Diese Option wird an cupsd übergeben, wenn es von launchd(8) oder systemd(8) ausgeführt wird.

-s cups-files.conf
    Verwendet die benannte cups-files.conf-Konfigurationsdatei.

-t  Testet die Konfigurationsdatei auf Syntax-Fehler.

DATEIEN
/etc/cups/classes.conf
/etc/cups/cups-files.conf
/etc/cups/cupsd.conf
/usr/share/cups/mime/mime.convs
/usr/share/cups/mime/mime.types
/etc/cups/printers.conf
/etc/cups/subscriptions.conf

KONFORMITÄT
cupsd implementiert alle benötigten IPP/2.1-Attribute und Vorgänge. Es implementiert auch mehrere CUPS-spezifische administrative Vorgänge.

BEISPIELE
Führe cupsd im Hintergrund mit der Standardkonfigurationsdatei aus:

    cupsd

Eine Konfigurationsdatei namens test.conf überprüfen:

    cupsd -t -c test.conf

Führe cupsd im Vordergrund mit einer Testkonfigurationsdatei namens test.conf aus:

    cupsd -f -c test.conf

SIEHE AUCH
backend(7), classes.conf(5), cups(1), cups-files.conf(5), cups-lpd(8), cupsd.conf(5), cupsd-helper(8), cupsd-logs(8), filter(7), launchd(8), mime.convs(5), mime.types(5), printers.conf(5), systemd(8), CUPS-Online-Hilfe (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.